Skip to main content
POST
/
api
/
ai
/
knowledges
cURL
curl --request POST \
  --url https://api.example.com/api/ai/knowledges \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "Customer service knowledgebase",
  "description": "<string>",
  "permission": "organization",
  "type": "standard",
  "recall": {
    "topK": 10,
    "score": 0.5
  },
  "parserConfig": {
    "chunkSize": 1000,
    "chunkOverlap": 100,
    "delimiter": "; , ."
  },
  "integrationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "extKnowledgebaseId": "<string>",
  "copilotModel": {
    "copilotId": "xxxx",
    "modelType": "text-embedding",
    "model": "text-embedding-v4"
  }
}
'

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Knowledgebase

workspaceId
string<uuid>
required

Integration ID of knowledge base system

name
string
required
Example:

"Customer service knowledgebase"

description
string
required
permission
enum<string>
default:private
required

Knowledgebase Permission

Available options:
private,
organization,
public
Example:

"organization"

type
enum<string>
default:standard
required

Knowledgebase Type

Available options:
standard,
external
Example:

"standard"

recall
object
required

Recall Options

Example:
{ "topK": 10, "score": 0.5 }
parserConfig
object
required

Parser Config

Example:
{
"chunkSize": 1000,
"chunkOverlap": 100,
"delimiter": "; , ."
}
integrationId
string<uuid>
required

Integration ID of knowledge base system

extKnowledgebaseId
string
required
copilotModel
object
required

Copilot embedding model

Example:
{
"copilotId": "xxxx",
"modelType": "text-embedding",
"model": "text-embedding-v4"
}

Response

201 - undefined